# Cancel sales order

Use this operation to cancel an existing open sales order. Successful execution of this method will cancel the sales order in Wineshipping system. If the order cannot be cancelled for some reason standard HTTP Status Code and a reason will be returned.

Endpoint: POST /api/SalesOrder/CancelSalesOrder
Version: 3.1.4

## Request fields (application/json):

  - `Authentication` (object, required)
    Credentials are required for all API operations.

  - `Authentication.UserKey` (string, required)
    Example: C445598CB576468EA35FBB22C55584EF

  - `Authentication.Password` (string, required)
    Example: AF63FDAC1E704DC1AC9460F669ABF107

  - `Authentication.CustomerNo` (string, required)
    Example: 10703

  - `OrderNumber` (string)

  - `TransactionReferenceNumber` (string)

## Response 200:

  - `200` (unknown)
    The sales order cancellation request has succeeded.

## Response 300:

  - `300` (unknown)
    There are more than one sales order for the requested order number.

## Response 400:

  - `400` (unknown)
    Invalid Input Data

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    The requested sales order state has changed and the cancel request could not be performed.

## Response 404:

  - `404` (unknown)
    The requested order number is not found.

## Response 429:

  - `429` (unknown)
    Too Many Requests [... see rate-limit details](https://wineshipping-api.redocly.app/../../../../docs/infrastructure#rate-limits--quotas)

## Response 500:

  - `500` (unknown)
    Internal Server Error

